package userMgr

import (
	"wb/cs"
)

type User struct {
	Sn         string
	UserName   string
	Name       string
	Role       string
	Department string
	Flag       string
}

func (this User) GetSn() string {
	return this.Sn
}
func (this User) GetName() string {
	return this.Name
}
func (this User) GetUserName() string {
	return this.UserName
}
func (this User) GetRole() string {
	return this.Role
}
func (this User) GetFlag() string {
	return this.Flag
}
func (this User) GetExtMap() cs.MObject {
	return cs.MObject{"Department": this.Department}
}
func (this User) GetString(field string) string {
	if field == "Department" {
		return this.Department
	} else {
		return ""
	}
}
